#2309 closed defect (fixed)

RSB get stuck building: expat-2.1.0-x86_64-w64-mingw32-1

Reported by: Cesar Perez Owned by:
Priority: normal Milestone: 4.11.1
Component: tool/rsb Version: 4.11
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

When running:
"$ ../source-builder/sb-set-builder --log=1-sparc.txt --prefix=$HOME/development/rtems/4.11 4.11/rtems-sparc"
the execution get stuck building: expat-2.1.0-x86_64-w64-mingw32-1
The following errors are indicated in config.log:
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
gcc: error: unrecognized command line option '-qversion'
gcc: fatal error: no input files
compilation terminated.

Attachments (3)

config.log (65.7 KB) - added by Cesar Perez on Mar 17, 2015 at 11:48:43 AM.
config.log
rsb-report-sparc-rtems4.11-binutils-2.24-x86_64-pc-cygwin-1.txt (50.7 KB) - added by Cesar Perez on Mar 19, 2015 at 9:37:14 AM.
cygwin-installed.txt (6.0 KB) - added by Chris Johns on Mar 19, 2015 at 9:17:52 PM.
Installed Cygwin packages.

Download all attachments as: .zip

Change History (10)

Changed on Mar 17, 2015 at 11:48:43 AM by Cesar Perez

Attachment: config.log added

config.log

comment:1 Changed on Mar 17, 2015 at 8:38:01 PM by Chris Johns

Please attach the RBS report as detailed in https://docs.rtems.org/rsb/#_bugs.

comment:2 in reply to:  description Changed on Mar 17, 2015 at 8:44:15 PM by Chris Johns

Replying to perezgc:

When running:
"$ ../source-builder/sb-set-builder --log=1-sparc.txt --prefix=$HOME/development/rtems/4.11 4.11/rtems-sparc"
the execution get stuck building: expat-2.1.0-x86_64-w64-mingw32-1

From the log I see you are running a Cygwin shell and building for mingw32. I have a change I am about to commit that changes this behaviour so cygwin builds a cygwin tool set.

The following errors are indicated in config.log:
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
gcc: error: unrecognized command line option '-qversion'
gcc: fatal error: no input files
compilation terminated.

The config.log is full of errors like this. It is how configure learns what works and what fails.

comment:3 Changed on Mar 17, 2015 at 9:56:24 PM by Chris Johns

I have pushed a change to the RSB to support cygwin executables. Please update.

comment:4 Changed on Mar 19, 2015 at 9:46:02 AM by Cesar Perez

Now the build fails a little bit later, building sparc-rtems4.11-binutils-2.24-x86_64-pc-cygwin-1
Please, see the file attached above rsb-report-sparc-rtems4.11-binutils-2.24-x86_64-pc-cygwin-1.txt​

Changed on Mar 19, 2015 at 9:17:52 PM by Chris Johns

Attachment: cygwin-installed.txt added

Installed Cygwin packages.

comment:6 Changed on Mar 19, 2015 at 9:20:19 PM by Chris Johns

I suspect you are missing the intl library.

I have attached the package list I have installed. The 'cygcheck -c' command generates the list. I suggest you install the ones you are missing.

comment:7 Changed on Mar 21, 2015 at 11:34:38 AM by Cesar Perez

It builds corretly now!
In addition to the intl library, I have also had to install the hash library.
Thank you very much for your help Chris!

comment:8 Changed on Mar 22, 2015 at 1:02:33 AM by Chris Johns

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.